End-date Contract Account billing entities - m3ter Documentation
End-date Contract Account billing entities
cURL
curl --request PUT \
--url https://api.m3ter.com/organizations/{orgId}/contracts/{id}/enddatebillingentities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endDate": "2023-11-07T05:31:56Z",
"billingEntities": [],
"applyToChildren": true
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/contracts/{id}/enddatebillingentities"
payload = {
"endDate": "2023-11-07T05:31:56Z",
"billingEntities": [],
"applyToChildren": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({endDate: '2023-11-07T05:31:56Z', billingEntities: [], applyToChildren: true})
};
fetch('https://api.m3ter.com/organizations/{orgId}/contracts/{id}/enddatebillingentities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response codes
200
4XX
5XX
Example Response
{
"statusMessage": "<string>",
"updatedEntities": {
"CONTRACT": {
"empty": true
},
"ACCOUNTPLAN": {
"empty": true
},
"PREPAYMENT": {
"empty": true
},
"PRICINGS": {
"empty": true
},
"COUNTER_PRICINGS": {
"empty": true
}
},
"failedEntities": {
"CONTRACT": {
"empty": true
},
"ACCOUNTPLAN": {
"empty": true
},
"PREPAYMENT": {
"empty": true
},
"PRICINGS": {
"empty": true
},
"COUNTER_PRICINGS": {
"empty": true
}
}
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorization
- String Header required
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
- orgId: required - The unique identifier (UUID) for your Organization.
- id: required - Unique identifier (UUID) of the Contract.
Body
- endDate: string
required - billingEntities: enum
[] required - applyToChildren: boolean (optional)
Response
- 200: application/json - Return the status and details of the updated active billing entities.